List knowledge sources

List knowledge sources. See the OpenAPI-defined parameters, request body, and responses below.

GET /Knowledge

List knowledge sources. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna todos os conhecimentos de agente cadastrados.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Knowledge' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar os conhecimentosapplication/json · array<KnowledgeDto>

Example response (200):

[
  {
    "id": 0,
    "name": "string",
    "content": "string",
    "groupIds": [
      0
    ]
  }
]

Data models

KnowledgeDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
contentstringNo—nullable
groupIdsarray<integer · int32>No—nullable